// C++ Vererbung: Geom. Objekte
// Klasse Circ
//
// Klaus Kusche, 2011

#ifndef _CIRC_HXX
#define _CIRC_HXX

#include "color.hxx"
#include "bigobj.hxx"

class Circ : public BigObj {
  public:
    Circ(const Color &color, int x, int y, int w, int h) :
      BigObj(color, x, y, w, h) {draw();}
    Circ(const Circ &orig) :
      BigObj(orig) {draw();}
    virtual ~Circ() {undraw();}

    virtual void draw();
    virtual void undraw();

    virtual Circ *clone() const {
      return new Circ(*this);
    }
    
  private:
    Circ &operator=(const Circ &val); // wegdefinieren (bleibt undef)!
};

#endif
